Bug 138740 - up2date fails to start
up2date fails to start
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-10 17:23 EST by Florian Brodersen
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 10:01:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Florian Brodersen 2004-11-10 17:23:18 EST
Description of problem: up2date fails to start


Version-Release number of selected component (if applicable): 4.3.47-5


How reproducible: up2date --nox -u


Steps to Reproduce:
1.
2.
3.
  
Actual results:

[root@caribe ~]# up2date --nox -u
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1249, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/up2date", line 804, in main
    fullUpdate, dryRun=options.dry_run))
  File "/usr/sbin/up2date", line 1123, in batchRun
    batch.run()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 62, in run
    self.__findPackagesToUpdate()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 97, in
__findPackagesToUpdate
    plist.addGlobs(self.listOfGlobs)
  File "/usr/share/rhn/up2date_client/packageList.py", line 157, in
addGlobs
    availList = rhnPackageInfo.getAvailablePackageList()
  File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line 219, in
getAvailablePackageList
    package_list = availablePackageList(
  File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line 153, in
availablePackageList
    progressCallback = progressCallback)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 310, in doCall
    ret = apply(method, args, kwargs)
  File "/usr/share/rhn/up2date_client/repoDirector.py", line 20, in
listPackages
    return self.handlers[channel['type']].listPackages(channel,
msgCallback, progressCallback)
  File "/usr/share/rhn/up2date_client/rpmSource.py", line 226, in
listPackages
    msgCallback, progressCallback)
  File "/usr/share/rhn/up2date_client/repoBackends/yumRepo.py", line
234, in listPackages
    (envra, rpmPath) = string.split(line, '=')
ValueError: unpack list of wrong size

Expected results:


Additional info:
Comment 1 Joe Wood 2004-11-27 07:28:18 EST
I started up2date and got

Traceback (most recent call last):
  File "/usr/sbin/up2date", line 33, in ?
    from up2date_client import up2date
  File "/usr/share/rhn/up2date_client/up2date.py", line 29, in ?
    import depSolver
  File "/usr/share/rhn/up2date_client/depSolver.py", line 4, in ?
    import packageList
  File "/usr/share/rhn/up2date_client/packageList.py", line 17, in ?
    import up2dateComps
  File "/usr/share/rhn/up2date_client/up2dateComps.py", line 7, in ?
    from rhpl import comps
  File "/usr/lib/python2.3/site-packages/rhpl/comps.py", line 5, in ?
    import libxml2
  File "/usr/lib/python2.3/site-packages/libxml2.py", line 1, in ?
    import libxml2mod
ImportError: /usr/lib/python2.3/site-packages/libxml2mod.so: undefined
symbol: xmlNewDocPI
Comment 2 paul nicholson 2004-12-07 10:30:43 EST
I've got that problem as well Joe!
Comment 3 Steve Fischer 2005-08-23 10:28:26 EDT
while line numbers are different, I got pretty much an identical error to Joe.  
Is there any fix ?
Comment 4 Steve Fischer 2005-08-23 10:30:12 EDT
I got the error in fc4, after upgrading from fc3, FWIW.
Comment 5 Matthew Miller 2006-07-10 16:35:37 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 6 John Thacker 2006-10-29 10:01:54 EST
Closing per lack of response to previous comment.  If this still occurs on FC3
or FC4 and is a security issue, please assign to Fedora Legacy and the
appropriate version.  The bug could also be filed against RHEL if it is relevant
there.

up2date has been replaced by pirut and pup in FC5 and FC6, the still fully
supported versions of Fedora Core, so this bug will not be fixed unless it is a
security issue.

Note You need to log in before you can comment on or make changes to this bug.